Description

Buon giorno,

ho riscontrato 2 problemi con la distro CLIENT "fuss-client-full-jessie-i386-201705221536.is0"
con utenti locali al login nel cambiamento della lingua.

1) PROBLEMA:
Alla schermata di login in alto a destra appare "language_chooser" anziche la lingua da scegliere per I'ambiente di lavoro.

1)SOLUZIONE:

Il problema dell'indicatore delle lingue del client, lo ho risolto aggiungendo i "locales” per le lingue desiderate (nello specifico la
versione UTF-8).

2) PROBLEMA:
Se entro con la lingua italiana e decido in un secondo momento di utilizzare la lingua tedesca faccio un un "logoff" e un "login"

scegliendo la lingua tedesca: mi ritrovo ancora con un ambiente in lingua italiana.

2) SOLUZIONE "momentanea”
Solo dopo un riavvio del PC, il sistema setta la lingua scelta.

3) PROBLEMA
Inoltre ho notato che "cestino" rimane sempre in italiano indipendentemente dalla scelta e settaggio di una qualsiasi lingua.

Grazie.

Donato Florio

History

#1 - 05/25/2017 02:39 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

#2 - 05/25/2017 02:49 PM - Christopher R. Gabriel
- File Screenshot from 2017-05-25 14-48-04.png added
- File Screenshot from 2017-05-25 14-47-45.png added

- Status changed from Nuovo to In elaborazione

Riguardo il problema 3, non sono riuscito a riprodurlo. Dopo aver configurato i locale utf8 per en_us e it_it, lo vedo cambiare corretamente,
scegliendo la lingua diversa all'avvio.

(Vedi allegati).

Intanto cambio fuss-desktop per configurare le lingue correttamente.

#3 - 05/25/2017 03:27 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Donato Florio

Pubblicato nuovo pacchetto fuss-desktop che installa e configura e altre lingue, mi pare che risolva il tutto. Basta fare un upgrade. Fammi sapere.

#4 - 05/25/2017 03:34 PM - Christopher R. Gabriel
- File Screenshot from 2017-05-25 15-33-26.png added

Allego altro screenshot dopo logout e rientro con scelta del francese come lingua (per il discorso del cestino)

#5 - 05/26/2017 10:55 AM - Donato Florio
- File Immagine_1_001.png added
- File Immagine_1_002.png added
- File Immagine_1_003.png added

- Assignee changed from Donato Florio to Christopher R. Gabriel

Ho fatto i test su una macchina vera.

Eseguito un upgrade del fuss-desktop (e del sistema in generale).

Ora ci sono le lingue "italiano", "francese", "tedesco" ed "inglese" nel menu di scelta della lingua "lightdm".

La prima volta sono entrato scegliendo la lingua italiana e tutto I'ambiente grafico era in italiano.

Ho fatto un "logout" ed ho scelto la lingua tedesca, ma mi sono ritrovato in un ambiente grafico in italiano.

Ho fatto "logout" e sono rientrato e mi sono ritrovato in un ambiente grafico in tedesco con il "cestino" in italiano (vedi primo allegato).

Ho fatto "logout" scegliendo quindi la lingua francese, ma I'ambiente era nuovamente in tedesco (vedi secondo allegato - nota anche "cestino").

Ho fatto "logout" e sono rientrato trovando I'ambiente in francese con il cestino italiano (vedi terzo allegato).

#6 - 05/26/2017 12:45 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Donato Florio

Hai cambiato la lingua dopo aver inserito lo username in lightdm? Altrimenti se la cambi prima, e poi metti lo username, lightdm recupera la tua
ultima scelta.

#7 - 05/26/2017 02:53 PM - Donato Florio

- Assignee changed from Donato Florio to Christopher R. Gabriel

Ho provato sia mettendo prima le credenziali e poi scegliendo la lingua che viceversa. Purtroppo prende la lingua sempre al "secondo tentativo".

#8 - 06/05/2017 12:13 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Donato Florio

Sto cercando di riprodurlo.
Puoi confermarmi che il file ~/.dmrc, guardandolo dopo ogni login, contenga per la chiave Desktop.Languaga il valore che hai scelto?

Ad ogni modo, direi che bisogna aprire una segnalazione upstream.

#9 - 06/12/2017 01:52 AM - Paolo Dongilli
- Assignee changed from Donato Florio to Christopher R. Gabriel

- Priority changed from Normale to Alta

Donato, mi sono permesso di lavorare sul ticket per fare qualche prova.

Ho fatto dei test con il seguente script e sembra che risolva il problema, nel senso che dopo aver impostato la lingua nel greeter, la lingua viene
correttamente cambiata.

/etc/X11/Xsession.d/21-lightdm-locale-fix

# workaround for session language selection in lightdm greeter
# we need this only if lightdm is being used
if pidof lightdm
then
# use Language setting from ~/.dmrc
export LANG='cat "S$HOME/.dmrc" | grep '”“Language=' | cut -d '=' —-f 2- | sed 's/utf8/UTF-8/'"

# if SLANGUAGE is set, sync it with chosen locale
[ -n "SLANGUAGE" ] && export LANGUAGE= echo $LANG | cut -d '.' -f 1':'echo -n $LANG | cut -d '.' -f 1 | cu
t -d'_'" -f 1°

# remove untrustworthy S$GDM_LANG

[ -n "$GDM_LANG" ] && unset GDM_LANG
fi

Fonte: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765077

#10 - 06/12/2017 09:30 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765077

Ho pubblicato fuss-desktop 8.0.36 che installa il fix proposto.

#11 - 06/12/2017 10:18 AM - Christopher R. Gabriel

Testato ora su un client e mi pare ok. Lascio a voi ultima parola per chiusura.

#12 - 06/12/2017 10:27 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Donato Florio

Donato, lascio fare a te il test finale. Grazie.

#13 - 06/13/2017 09:10 AM - Donato Florio

- Status changed from Commenti to Chiuso

Ho appena inserito lo script e fatto delle prove con le varie lingue.

Da quello che vedo funziona.
Per me con questo é risolto.
Chiudo il ticket.

Grazie
